# SPDX-FileCopyrightText: 2020 Vincent Lequertier <vi.le@autistici.org>
# SPDX-License-Identifier: GPL-3.0-only

reuse:
  image: fsfe/reuse:0.4.1
  script:
    - reuse lint

pages:
  image: python:3.7-buster
  stage: deploy
  script:
  - pip install --no-cache-dir -U sphinx sphinx_rtd_theme
  - pip install --no-cache-dir -r requirements.txt
  - make  -C source/ html
  - mv .public/html/ public/
  artifacts:
    paths:
    - public
  only:
  - master
